org.apache.lucene.codecs.appending

## Class AppendingTermsReader

- java.lang.Object
- - org.apache.lucene.index.Fields
  - - org.apache.lucene.codecs.FieldsProducer
    - - org.apache.lucene.codecs.BlockTreeTermsReader
      - - org.apache.lucene.codecs.appending.AppendingTermsReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Iterable<String>

  Deprecated.
  Only for reading old Appending segments

      @Deprecated
      public class AppendingTermsReader
      extends BlockTreeTermsReader

  Reads append-only terms from AppendingTermsWriter.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.codecs.BlockTreeTermsReader

      `BlockTreeTermsReader.FieldReader, BlockTreeTermsReader.Stats`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.Fields

      `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppendingTermsReader(Directory dir, FieldInfos fieldInfos, SegmentInfo info, PostingsReaderBase postingsReader, IOContext ioContext, String segmentSuffix, int indexDivisor)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `readHeader(IndexInput input)` Deprecated.
    `protected int` | `readIndexHeader(IndexInput input)` Deprecated.
    `protected void` | `seekDir(IndexInput input, long dirOffset)` Deprecated.

    - ### Methods inherited from class org.apache.lucene.codecs.BlockTreeTermsReader

      `close, iterator, size, terms`

    - ### Methods inherited from class org.apache.lucene.index.Fields

      `getUniqueTermCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppendingTermsReader

          public AppendingTermsReader(Directory dir,
                              FieldInfos fieldInfos,
                              SegmentInfo info,
                              PostingsReaderBase postingsReader,
                              IOContext ioContext,
                              String segmentSuffix,
                              int indexDivisor)
                               throws IOException

      Deprecated.
      Throws:
        `IOException`

  - ### Method Detail

    - #### readHeader

          protected int readHeader(IndexInput input)
                            throws IOException

      Deprecated.
      Overrides:
        `readHeader` in class `BlockTreeTermsReader`
      Throws:
        `IOException`

    - #### readIndexHeader

          protected int readIndexHeader(IndexInput input)
                                 throws IOException

      Deprecated.
      Overrides:
        `readIndexHeader` in class `BlockTreeTermsReader`
      Throws:
        `IOException`

    - #### seekDir

          protected void seekDir(IndexInput input,
                     long dirOffset)
                          throws IOException

      Deprecated.
      Overrides:
        `seekDir` in class `BlockTreeTermsReader`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.